LINUX.ORG.RU

skype 4.3 вылетает

 ,


0

1

добрый день.

после обновления скайпа, как уже известно, по причине того что майкрософт не дает старым клиентам работать, появились проблемы..

система debian testing (полный апгрейд сделан буквально вчера). скайп запускается, логинится, чуть висит и вылетает с сообщением: Аварийный останов ldd показывает такую вот картину:

ldd /usr/bin/skype 
	linux-gate.so.1 (0xf7710000)
	libXv.so.1 => /usr/lib/i386-linux-gnu/libXv.so.1 (0xf546a000)
	libXss.so.1 => /usr/lib/i386-linux-gnu/libXss.so.1 (0xf5467000)
	librt.so.1 => /lib/i386-linux-gnu/i686/cmov/librt.so.1 (0xf545d000)
	libdl.so.2 => /lib/i386-linux-gnu/i686/cmov/libdl.so.2 (0xf5458000)
	libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf531f000)
	libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf530d000)
	libQtDBus.so.4 => /usr/lib/i386-linux-gnu/libQtDBus.so.4 (0xf528e000)
	libQtWebKit.so.4 => /usr/lib/i386-linux-gnu/libQtWebKit.so.4 (0xf3bd6000)
	libQtXml.so.4 => /usr/lib/i386-linux-gnu/libQtXml.so.4 (0xf3b93000)
	libQtGui.so.4 => /usr/lib/i386-linux-gnu/libQtGui.so.4 (0xf30bd000)
	libQtNetwork.so.4 => /usr/lib/i386-linux-gnu/libQtNetwork.so.4 (0xf2f6a000)
	libQtCore.so.4 => /usr/lib/i386-linux-gnu/libQtCore.so.4 (0xf2c6e000)
	libpthread.so.0 => /lib/i386-linux-gnu/i686/cmov/libpthread.so.0 (0xf2c51000)
	libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf2b5f000)
	libm.so.6 => /lib/i386-linux-gnu/i686/cmov/libm.so.6 (0xf2b19000)
	libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf2afc000)
	libc.so.6 => /lib/i386-linux-gnu/i686/cmov/libc.so.6 (0xf2951000)
	/lib/ld-linux.so.2 (0xf7711000)
	libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf292e000)
	libdbus-1.so.3 => /lib/i386-linux-gnu/libdbus-1.so.3 (0xf28d9000)
	libsqlite3.so.0 => /usr/lib/i386-linux-gnu/libsqlite3.so.0 (0xf2807000)
	libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xf27fd000)
	libgstapp-0.10.so.0 => /usr/lib/i386-linux-gnu/libgstapp-0.10.so.0 (0xf27ef000)
	libgstinterfaces-0.10.so.0 => /usr/lib/i386-linux-gnu/libgstinterfaces-0.10.so.0 (0xf27dc000)
	libgstpbutils-0.10.so.0 => /usr/lib/i386-linux-gnu/libgstpbutils-0.10.so.0 (0xf27b8000)
	libgstvideo-0.10.so.0 => /usr/lib/i386-linux-gnu/libgstvideo-0.10.so.0 (0xf279a000)
	libgstbase-0.10.so.0 => /usr/lib/i386-linux-gnu/libgstbase-0.10.so.0 (0xf272e000)
	libgstreamer-0.10.so.0 => /usr/lib/i386-linux-gnu/libgstreamer-0.10.so.0 (0xf2629000)
	libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xf25d6000)
	libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xf24ca000)
	libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0xf248f000)
	libaudio.so.2 => /usr/lib/i386-linux-gnu/libaudio.so.2 (0xf2475000)
	libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0xf2448000)
	libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf242e000)
	libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xf238d000)
	libSM.so.6 => /usr/lib/i386-linux-gnu/libSM.so.6 (0xf2383000)
	libICE.so.6 => /usr/lib/i386-linux-gnu/libICE.so.6 (0xf2365000)
	libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf2361000)
	libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf235a000)
	liborc-0.4.so.0 => /usr/lib/i386-linux-gnu/liborc-0.4.so.0 (0xf22c3000)
	libgmodule-2.0.so.0 => /usr/lib/i386-linux-gnu/libgmodule-2.0.so.0 (0xf22be000)
	libxml2.so.2 => /usr/lib/i386-linux-gnu/libxml2.so.2 (0xf213e000)
	libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf2135000)
	libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf20c5000)
	libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0xf209d000)
	libXt.so.6 => /usr/lib/i386-linux-gnu/libXt.so.6 (0xf2041000)
	libuuid.so.1 => /lib/i386-linux-gnu/libuuid.so.1 (0xf203b000)
	liblzma.so.5 => /lib/i386-linux-gnu/liblzma.so.5 (0xf2013000)

куда копать?

заранее спасибо


Сэймщит, грохается сам по себе, иногда сразу после старта, иногда во время работы. Сейчас, вроде, попустило его, 2 дня не падает.

ОП, забекапь и снеси ~/.Skype, мне на старых версиях помогало от такой же проблемы.

NeverLoved ★★★★★ ()
Ответ на: комментарий от NeverLoved

Сэймщит, грохается сам по себе, иногда сразу после старта, иногда во время работы.

Да он и на оффтопе также «работает», не думаю что это в профиле дело.

alozovskoy ★★★★★ ()

полный апгрейд сделан буквально вчера

Удали профиль. Я пробовал удалить только конфиги и оставить базу с историей, но не помогло (хотя слышал, у кого-то работало).

vurdalak ★★★★★ ()

Мне в 12.04 вчера обновление пришло до 4.3
Удалил профиль, снёс скайп, потом поставил skype:i386 так работает.

Xunnu ★★ ()

уже писали что skype не нужен?

Ignatov ★★★ ()
Ответ на: комментарий от Xunnu

Так а что убунтовский? На сайте M$ никакой 64-разрядной версии как не было, так и нет. Может, его во враппер какой-то засунули?

MiniRoboDancer ★☆ ()
Ответ на: комментарий от MiniRoboDancer
apt-cache show skype
Package: skype
Priority: extra
Section: net
Installed-Size: 61
Maintainer: Steve Langasek <steve.langasek@canonical.com>
Architecture: amd64
Version: 4.3.0.37-0ubuntu0.12.04.1
Depends: skype-bin
Filename: pool/partner/s/skype/skype_4.3.0.37-0ubuntu0.12.04.1_amd64.deb
Size: 16054
MD5sum: 61d508cabddd6d9ef7bc9967eb4bb2ed
SHA1: 590099bbcc9c486cf92b035d534fab0b062edd4e
SHA256: 590e13cf75d75cd94ddc33af179588654b5c7c0933b585e5e118e07143c96748
apt-cache show skype:i386
Package: skype
Priority: extra
Section: net
Installed-Size: 61
Maintainer: Steve Langasek <steve.langasek@canonical.com>
Architecture: i386
Version: 4.3.0.37-0ubuntu0.12.04.1
Depends: skype-bin
Filename: pool/partner/s/skype/skype_4.3.0.37-0ubuntu0.12.04.1_i386.deb
Size: 16092
MD5sum: a81bc08ab068e7dfc9419b2927a0fc5c
SHA1: 0a1918955096b5c7bcdba3d252b0174886c8a1a2
SHA256: 0681e35e59c2f784b12e162ab87146b06d1be2849cfac4f67c49c9e0ea2e7b3e

А вот пакет skype-bin есть только для i386:

apt-cache show skype-bin
Package: skype-bin
Source: skype
Priority: extra
Section: net
Installed-Size: 43366
Maintainer: Steve Langasek <steve.langasek@canonical.com>
Architecture: i386
Version: 4.3.0.37-0ubuntu0.12.04.1
Recommends: sni-qt, libasound2-plugins
Replaces: skype (<< 4.1.0.20.0-0ubuntu0.12.04.1), skype-common, skype-mid
Depends: libc6 (>= 2.7), libgcc1 (>= 1:4.1.1), libqt4-dbus (>= 4:4.5.3), libqt4-network (>= 4:4.8.0), libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.8.0), libqtwebkit4 (>= 2.2~2011week36), libstdc++6 (>= 4.2.1), libx11-6, libxext6, libxss1, libxv1, libssl1.0.0, libgl1-mesa-glx
Conflicts: skype-common, skype-mid
Breaks: skype (<< 4.1.0.20.0-0ubuntu0.12.04.1)
Filename: pool/partner/s/skype/skype-bin_4.3.0.37-0ubuntu0.12.04.1_i386.deb
Size: 20114526

Xunnu ★★ ()
Последнее исправление: Xunnu (всего исправлений: 1 )
Ответ на: комментарий от Xunnu

А с какого это зеркала? А то я несколько штук перебрал — нигде раздела partner нет, мало того, даже поиск по packages.ubuntu.com пакета skype не выдаёт почему-то.

MiniRoboDancer ★☆ ()
Ответ на: комментарий от MiniRoboDancer

Я в репах сразу тоже не нашёл. Если через центр приложений ставить, то он добавляет эту репу при установке.

apt-cache policy skype
skype:
  Установлен: (отсутствует)
  Кандидат:   4.3.0.37-0ubuntu0.12.04.1
  Таблица версий:
     4.3.0.37-0ubuntu0.12.04.1 0
        500 http://archive.canonical.com/ubuntu/ precise/partner amd64 Packages

Xunnu ★★ ()
Последнее исправление: Xunnu (всего исправлений: 1 )
Ответ на: комментарий от MiniRoboDancer

Конечно нет, его в природе не существует.
Максимум что могут, это пакет переименовать. Но в убунту и тут накосячили, раз пришлось i386 ставить.

Xunnu ★★ ()

skype 4.3

Тоже стал вылетать.

После обновления, скрепя зубами, снёс старый профиль, с которым просто не запускалось.
Спустя несколько дней, стал вылетать постоянно, даже после очередного удаления профиля. Как на нетбуке, так и не компе.
Сношу профиль, запускаю скайп, проходит секунд 30-60, он получает туеву кучу сообщений (загружает историю за месяц) и вылетает.

Система Archlinux, запуск в chroot под ubuntu-12.04-i386 даёт аналогичный результат. Скайп из репориториев archlinux, динамичный с офф.сайта и 32битный под убунту с офф.сайта. Если запускать под gdb - окно логина виснет.

Кто то сталкивался с таким?

De1in ()

А у меня на arch based не вылетает, только звука нету, поэтому 4.2 форевер, только обрезали функционал.

kachan ★★ ()
Ответ на: комментарий от kachan

только звука нету

зачем он тогда?

anonymous ()
Ответ на: комментарий от goingUp

Вылетает каждый раз в разное время, может получить 100500 сообщений, и пробулькать о этом, затем вылететь, а может и почти сразу вылететь.

De1in ()
Ответ на: skype 4.3 от De1in

Фсё, теперь вылетает сразу же после логина, не успевая даже показать список контактов. Видимо прогрузил остальные сообщения.

De1in ()
Ответ на: комментарий от De1in

да, теперь не могу писАть в группы, звонить группам, меня приглашают в группу для чата, а я не вижу приглашения(точнее этого чата)

kachan ★★ ()
Ответ на: комментарий от De1in

Удаление пульсаудио, смена графического оформления, отключение уведомлений, удаление истории принятых файлов («DELETE from Messages WHERE type=68;»), вход через M$ аккаунт, отключение истории, да и всего что можно отключить в настройках скайпа. Всё пофигу, через 0-15 секунд вылет.

De1in ()
Ответ на: комментарий от De1in

Аналогично

Грешил на новые иксы и даже на андроид клиент, менял, удалял сообщения. Вчера он еще мог поработать от 15 минут до 2 часов. Сейчас 5 секунд максимум.

artgur ()
Ответ на: комментарий от anonymous

Рад бы, но увы, все сотрудники фирмы и клиенты юзают его.

De1in ()
Ответ на: комментарий от vvviperrr

У меня второй аккаунт скайпа работает, где всего порядка 15 контактов\чатов и достаточно мало сообщений присылают.

Есть подозрение, что скайп просто не переваривает одно из принятых сообщений или файлов(имён файлов?).

De1in ()
Ответ на: Рабочее решение от anonymous

О, спасибо, вроде помогло.

Скрипт уже подобный выполнял, но видимо не достаточное количество раз.

De1in ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.